commit:     c4e0f8f960a1276437c9d80214bde40f329be2db
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  6 12:16:30 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 12:16:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4e0f8f9

net-misc/electrum-ltc: fix for qt5 disabled

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-misc/electrum-ltc/electrum-ltc-3.0_pre20171218.ebuild | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/net-misc/electrum-ltc/electrum-ltc-3.0_pre20171218.ebuild 
b/net-misc/electrum-ltc/electrum-ltc-3.0_pre20171218.ebuild
index 5ddcdc8524e..9fe4e95536d 100644
--- a/net-misc/electrum-ltc/electrum-ltc-3.0_pre20171218.ebuild
+++ b/net-misc/electrum-ltc/electrum-ltc-3.0_pre20171218.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
@@ -72,7 +72,11 @@ src_prepare() {
        # Prevent icon from being installed in the wrong location
        sed -i '/icons/d' setup.py || die
 
-       pyrcc5 icons.qrc -o gui/qt/icons_rc.py || die
+       if use qt5; then
+               pyrcc5 icons.qrc -o gui/qt/icons_rc.py || die
+       else
+               sed "s|'electrum_ltc_gui.qt',||" -i setup.py || die
+       fi
 
        local wordlist=
        for wordlist in  \

Reply via email to